------------------------------------------------------------------------------------
--Name:  	shikong1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-07-03
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(142, 198)
local Player_1 = CppScriptMgr:AddSimplePlayer(1059597, 142, 198, "Elina", 0, 0)
Player_1:SetDir(7)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 146, 202, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Player_2 = CppScriptMgr:AddSimplePlayer(1059370, 146, 202, "Aiden", 0, 0)
Player_2:SetDir(3)
CppScriptMgr:WaitMilSec(930)
Player_2:SetAction(190)
Player_2:Say("My dear Elina, I have finally found you!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Oh! Aiden! It`s really you! I`m not dreaming, am I?", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1460)
Player_2:SetAction(101)
Player_2:Say("Dear Elina, time and space cannot stop us from loving each other. I am willing to stay here for you!", 2000)
CppScriptMgr:WaitMilSec(2000)
Player_2:Say("Well then, dear Elina, do your feelings match mine?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Oh! My goodness! Of course I do, but right now...", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1020)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(450)
local Effect_1 = CppScriptMgr:AddEffect("nag_bom_ass", 142, 198, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(810)
Player_1:SetAction(483)
Player_2:SetAction(483)
CppScriptMgr:WaitMilSec(190)
Player_2:Say("Oh my! What`s happening here?", 1000)
local Effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 142, 198, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 142, 198, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_4 = CppScriptMgr:AddEffect("nag_bom_ass", 142, 198, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(530)